<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>

<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <a class="navbar-brand" href="/">E-Learning Systems</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup"
        aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
        <div class="navbar-nav">
            <% if(locals.user){ %>
                <a  class="nav-link" href="/<%= user.type %>s/classes" class="nav-link">My Class</a>
                <a  class="nav-link" href="/users/logout" class="nav-link">
                    Logout
                </a>
            <% } %>
            <% if(!locals.user){ %>
                <a class="nav-link" href="/users/register">ลงทะเบียน</a>
                <a class="nav-link" href="/users/login">ลงชื่อเข้าใช้งาน</a>
            <% } %>
            
        </div>
    </div>
</nav>